OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_SiUnitAndAreaUnit Class Reference

`#include <StepBasic_SiUnitAndAreaUnit.hxx>`

Inheritance diagram for StepBasic_SiUnitAndAreaUnit:

[legend]

## Public Member Functions
Standard_EXPORT | StepBasic_SiUnitAndAreaUnit ()
| Returns a SiUnitAndAreaUnit .
Standard_EXPORT void | SetAreaUnit (const Handle(StepBasic_AreaUnit)&anAreaUnit)
Standard_EXPORT Handle_StepBasic_AreaUnit | AreaUnit () const
virtual Standard_EXPORT void | SetDimensions (const Handle(StepBasic_DimensionalExponents)&aDimensions)
virtual Standard_EXPORT Handle_StepBasic_DimensionalExponents | Dimensions () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepBasic_AreaUnit | areaUnit

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_SiUnitAndAreaUnit::StepBasic_SiUnitAndAreaUnit | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepBasic_AreaUnit StepBasic_SiUnitAndAreaUnit::AreaUnit | ( |  | ) | const

virtual Standard_EXPORT Handle_StepBasic_DimensionalExponents StepBasic_SiUnitAndAreaUnit::Dimensions | ( |  | ) | const`[virtual]`

| Reimplemented from StepBasic_SiUnit.

Standard_EXPORT const StepBasic_SiUnitAndAreaUnit::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_SiUnit.

Standard_EXPORT void StepBasic_SiUnitAndAreaUnit::SetAreaUnit | ( | const Handle(StepBasic_AreaUnit)& | anAreaUnit | ) |

virtual Standard_EXPORT void StepBasic_SiUnitAndAreaUnit::SetDimensions | ( | const Handle(StepBasic_DimensionalExponents)& | aDimensions | ) | `[virtual]`

| Reimplemented from StepBasic_SiUnit.

## Field Documentation

Handle_StepBasic_AreaUnit StepBasic_SiUnitAndAreaUnit::areaUnit`[private]`

The documentation for this class was generated from the following file:

- StepBasic_SiUnitAndAreaUnit.hxx